Package org.pgpainless.decryption_verification

# Enum Class MissingKeyPassphraseStrategy

java.lang.Object
java.lang.Enum<MissingKeyPassphraseStrategy>
org.pgpainless.decryption_verification.MissingKeyPassphraseStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<MissingKeyPassphraseStrategy>`, `Constable`

public enum MissingKeyPassphraseStrategy extends Enum<MissingKeyPassphraseStrategy>
Strategy defining how missing secret key passphrases are handled.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INTERACTIVE`
Try to interactively obtain key passphrases one-by-one via callbacks, eg `SecretKeyPassphraseProvider`.
`THROW_EXCEPTION`
Do not try to obtain passphrases interactively and instead throw a `MissingPassphraseException` listing all keys with missing passphrases.

## Method Summary

Modifier and Type
Method
Description
`static MissingKeyPassphraseStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MissingKeyPassphraseStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INTERACTIVE

public static final MissingKeyPassphraseStrategy INTERACTIVE
Try to interactively obtain key passphrases one-by-one via callbacks, eg `SecretKeyPassphraseProvider`.

### THROW_EXCEPTION

public static final MissingKeyPassphraseStrategy THROW_EXCEPTION
Do not try to obtain passphrases interactively and instead throw a `MissingPassphraseException` listing all keys with missing passphrases.

## Method Details

### values

public static MissingKeyPassphraseStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MissingKeyPassphraseStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null